Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Interface PersistenceManagerUtilsMBean

All Known Implementing Classes:
  PersistenceManagerUtils

public interface PersistenceManagerUtilsMBean

Method Summary
`String` | `listAllInstances(String pmfJndiName)`
`String` | `listInstances(String pmfJndiName, Class candidate)`
`Map` | `listPersistenceManagerProperties(String pmfJndiName)`
`Set` | `listRegisteredClasses()`
`String` | `printPersistenceManagerFactoryInformation(String pmfJndiName)`
`String` | `printPersistenceManagerInformation(String pmfJndiName)`

Method Detail

### printPersistenceManagerInformation

    public String printPersistenceManagerInformation(String pmfJndiName)
                                              throws NamingException

### printPersistenceManagerFactoryInformation

    public String printPersistenceManagerFactoryInformation(String pmfJndiName)
                                                     throws NamingException

### listRegisteredClasses

    public Set listRegisteredClasses()

### listAllInstances

    public String listAllInstances(String pmfJndiName)
                            throws NamingException

### listInstances

    public String listInstances(String pmfJndiName,
                                Class candidate)
                         throws NamingException

### listPersistenceManagerProperties

    public Map listPersistenceManagerProperties(String pmfJndiName)
                                         throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.